/**
 * CharStack.java (a LIFO data structure)
 *
 * This class implements the Stack Abstract Data Type by
 * modifying the implementation of an ArrayList<Character> 
 * to adhere to the Stack interface.  
 * 
 * instance variables: stack, an ArrayList<Character> object.
 * 
 * constructors: 1 zero-parameter
 * 
 * methods: void push(Character ch)
 *          Character pop() throws RunTimeException: "Stack is empty"
 *          Character peek() throws RunTimeException: "Stack is empty"
 *          boolean isEmpty()
 */
import java.util.*;

class CharStackStarter {
    
    // define instance variable stack to be an ArrayList of Characters
    
    
    
    // 0-parameter constructor initializes top
    CharStackStarter(){
        // instantiate instance variable
    }
    
    /**
     * Instance method push
     * Put Character object at top of stack
     */
    void push(Character obj) {
        // use proper notation to put obj on left 
        // end of stack
    }
    
    /**
     * Instance method pop
     * return value of top and remove it from stack.
     * Throws an object of type RunTimeException if stack
     * is empty.
     */
    Character pop() throws RuntimeException{
        // if stack is empty, throw a RunTime Exception.
        // otherwise, use the proper notation to remove
        // and return the top (leftmost) item from the stack.
        return 'A';
    }
    
    /**
     * Instance method peek
     * return value of front element on stack.
     * Throws an object of type RunTimeException if stack
     * is empty.
     */
    Character peek() throws RuntimeException{
        // if stack is empty, throw a RunTime Exception.
        // otherwise, use the proper notation to return
        // the top (leftmost) item of the stack without 
        // removing the item.
        return 'B';
    }
    
    /**
     * Instance method isEmpty
     * Uses status of top to determine when stack is
     * empty
     */
    public boolean isEmpty() {
        // use proper notation to return true if there
        // are no items on the stack
        return false;
    }
    
}  // end of class CharStackStarter
